SDL_SetSurfaceColorspace(3)

NAME
SDL_SetSurfaceColorspace - Set the colorspace used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetSurfaceColorspace(SDL_Surface *surface, SDL_Colorspace colorspace);

DESCRIPTION
Setting the colorspace doesn't change the pixels, only how they are interpreted in color operations.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update

colorspace
    an SDL_ColorSpace
     value describing the surface colorspace

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.